Loading...
Searching...
No Matches
AllocationBoundsInference.h File Reference

Defines the lowering pass that determines how large internal allocations should be. More...

`#include <map>`
`#include <string>`
`#include <utility>`
`#include "Expr.h"`
`#include "Interval.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Stmt | Halide::Internal::allocation_bounds_inference (Stmt s, const std::map< std::string, Function > &env, const std::map< std::pair< std::string, int >, Interval > &func_bounds)
| Take a partially statement with Realize nodes in terms of variables, and define values for those variables.

## Detailed Description

Defines the lowering pass that determines how large internal allocations should be.

Definition in file AllocationBoundsInference.h.